[ 
https://issues.apache.org/jira/browse/YARN-8018?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16434343#comment-16434343
 ] 

Eric Yang edited comment on YARN-8018 at 4/11/18 6:10 PM:
----------------------------------------------------------

[~billie.rinaldi] This patch is not complete upgrade framework.  However, it 
does introduce incompatible field "version" into yarnfile.  If we update 
document for yarn services to include version field, and accepts this 
incompatibility.  It can be cherry-picked and remain as inactive for dependent 
patch to back port.


was (Author: eyang):
[~billie.rinaldi] This patch is not complete upgrade framework.  It can be 
cherry-picked and remain as inactive for dependent patch to back port.

> Yarn Service Upgrade: Add support for initiating service upgrade
> ----------------------------------------------------------------
>
>                 Key: YARN-8018
>                 URL: https://issues.apache.org/jira/browse/YARN-8018
>             Project: Hadoop YARN
>          Issue Type: Sub-task
>            Reporter: Chandni Singh
>            Assignee: Chandni Singh
>            Priority: Major
>             Fix For: 3.2.0
>
>         Attachments: YARN-8018-branch-3.1.007.patch, YARN-8018.001.patch, 
> YARN-8018.002.patch, YARN-8018.003.patch, YARN-8018.004.patch, 
> YARN-8018.005.patch, YARN-8018.006.patch, YARN-8018.007.patch
>
>
> Add support for initiating service upgrade which includes the following main 
> changes:
>  # Service API to initiate upgrade
>  # Persist service version on hdfs
>  # Start the upgraded version of service



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscr...@hadoop.apache.org
For additional commands, e-mail: yarn-issues-h...@hadoop.apache.org

Reply via email to